V1.0
delete
/ec-designer-svc/rest/v1.0/studies/{studyId}/versions/{version}/arms/{armId}
Removes an existing treatment arm from a study version.
Request
Path Parameters
-
armId(required): string
Arm ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
B1B8327AFAA6412287106192AB5984EF -
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
objectDelete response. No treatment arm object is returned after successful deletion.
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}